Attribute VB_Name = "Links"
Public Sub InsertData(ByVal table As Integer, ByVal row As Integer, ByVal column As Integer, ByVal data As String)
ActiveDocument.Tables(table).Cell(row, column).Range.InsertAfter data
End Sub

Public Sub ShowForm(ByRef n As Integer)
Open ActiveDocument.Path & "\data" For Input As #1
Do While Not EOF(1)
    Input #1, t, r, c, d
    Call InsertData(t, r, c, d)
Loop
Close #1
End Sub
